Name:           flam3
Version:        2.7.13
Release:        1%{?dist}
Summary:        Programs to generate and render cosmic recursive fractal flames

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.flam3.com/
Source0:        http://www.flam3.com/%{name}-%{version}.tar.gz
#Patch0:         flam3-2.7.8-config.h.in.patch
  # Fixed by GCC 4.3
#Patch:         flam3-2.7.7-pkgconfig.patch
  # Fixed by upstream at 2.7.9
#Patch:         flam3-2.7.8-remove-config.h.patch
  # Fixed by upstream at 2.7.9
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel

%description
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
http://flam3.com. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets).

%package devel
Summary:        C headers to generate and render cosmic recursive fractal flames
Group:          Applications/Multimedia
Requires:       pkgconfig
Requires:       libxml2-devel
Requires:       libpng-devel
Requires:       libjpeg-devel
Requires:       flam3 = %{version}-%{release}
Provides:       flam3-static = %{version}-%{release}

%description devel
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
http://flam3.com. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets). This
package contains a header file for C, a static library, and a pkgconfig file.


%prep
%setup -q
#%patch0 -p1 -b .config_h_in
#%patch1 -p1 -b .pkgconfig
#%patch2 -p1 -b .remove_config_h
sed -i.flags -e 's|-O3 -ffast-math||' Makefile.in
chmod 644 *.c


%build
%configure \
   --includedir=%{_includedir}/%{name}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install \
   DESTDIR=$RPM_BUILD_ROOT \
   INSTALL="install -p"
# Install missing headers
install -cpm 644 \
   isaac.h isaacs.h private.h img.h \
   $RPM_BUILD_ROOT%{_includedir}/%{name}/
rm $RPM_BUILD_ROOT%{_libdir}/libflam3.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING.txt README.txt
%{_bindir}/flam3-animate
%{_bindir}/flam3-convert
%{_bindir}/flam3-genome
%{_bindir}/flam3-render
%{_datadir}/flam3
%{_mandir}/man1/flam3*

%files devel
%defattr(-,root,root,-)
%doc COPYING.txt README.txt
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/flam3.pc
%{_libdir}/libflam3.a


%changelog
* Sat Jun 07 2008 Ian Weller <ianweller@gmail.com> 2.7.13-1
- Upstream updated

* Sun May 25 2008 Ian Weller <ianweller@gmail.com> 2.7.12-1
- Upstream updated

* Wed Apr 09 2008 Ian Weller <ianweller@gmail.com> 2.7.11-1
- Upstream updated

* Thu Mar 20 2008 Ian Weller <ianweller@gmail.com> 2.7.10-2
- Force rebuild due to odd quirk in Koji

* Thu Mar 20 2008 Ian Weller <ianweller@gmail.com> 2.7.10-1
- Upstream updated

* Sat Feb 09 2008 Ian Weller <ianweller@gmail.com> 2.7.9-1
- Upstream updated
- Upstream made changes based on our patches, so removed now redundant patches

* Fri Feb 01 2008 Ian Weller <ianweller@gmail.com> 2.7.8-4
- Made patch commands less confusing

* Tue Jan 29 2008 Ian Weller <ianweller@gmail.com> 2.7.8-3
- Removed config.h properly
- We now own datadir/flam3

* Mon Jan 28 2008 Ian Weller <ianweller@gmail.com> 2.7.8-2
- Added more missing headers -- they might be used by some program somewhere:
  private.h config.h img.h
- Fix atomic ops error on ppc and ppc64 with Patch1

* Sun Jan 27 2008 Ian Weller <ianweller@gmail.com> 2.7.8-1
- Updated to version 2.7.8
- Made sure that libflam3.la wasn't included, complying with review guidelines
  "Packages must NOT contain any .la libtool archives, these should be removed in the spec."

* Thu Jan 17 2008 Mamorut Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 2.7.7-3
- Fix pkgconfig .pc file
- Install missing headers
- Move header files into %%{_includedir}/%%{name}
- Fix cflags to meet Fedora guidelines
- More Requires to -devel subpackage for static archive

* Wed Dec 19 2007 Ian Weller <ianweller@gmail.com> 2.7.7-2
- *-devel now includes *-static
- *-static no longer exists, but is provided by *-devel
- added version requirement to *-devel requires main

* Mon Dec 17 2007 Ian Weller <ianweller@gmail.com> 2.7.7-1
- Fixed spurious-executable-perm issue
- *-devel subpackage now requires *-static subpackage
- Subpackage now requires main package
- Update to version 2.7.7

* Sun Dec 16 2007 Ian Weller <ianweller@gmail.com> 2.7.6-2
- Dropped kernel from requires, as most people have one installed
- Created *-devel and *-static packages
- Removed redundant explicit requires
- Added COPYING.txt and README.txt documentation files

* Sun Dec 9 2007 Ian Weller <ianweller@gmail.com> 2.7.6-1
- First package build.
